Page MenuHomeFreeBSD

netmap: align codebase to the current upstream (commit id 8374e1a7e6941)
ClosedPublic

Authored by v.maffione_gmail.com on Sep 30 2018, 3:06 PM.

Details

Summary

Changelist:

  • Move large parts of VALE code to a new file and header netmap_bdg.[ch]. This is useful to reuse the code within upcoming projects.
  • Improvements and bug fixes to pipes and monitors.
  • Introduce nm_os_onattach(), nm_os_onenter() and nm_os_onexit() to handle differences between FreeBSD and Linux.
  • Introduce some new helper functions to handle more host rings and fake rings (netmap_all_rings(), netmap_real_rings(), ...)
  • Added new sysctl to enable/disable hw checksum in emulated netmap mode.
  • nm_inject: add support for NS_MOREFRAG
Test Plan

There are unit tests and integration tests for netmap, yet to be included in FreeBDS (coming soon).

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bcr added a subscriber: bcr.Sep 30 2018, 6:15 PM

Found a typo.

sys/dev/netmap/netmap.c
3882 ↗(On Diff #48593)

s/adapapter/adapter/

v.maffione_gmail.com marked 2 inline comments as done.
v.maffione_gmail.com added inline comments.
sys/dev/netmap/netmap.c
3882 ↗(On Diff #48593)

Thanks, I fixed it in the new version.

v.maffione_gmail.com marked an inline comment as done.Oct 1 2018, 9:36 AM

Integration tests and unit tests ran successfully on my test machine.

gnn added a reviewer: np.Oct 8 2018, 11:31 PM

Can we commit this? Thanks

gnn accepted this revision.Oct 23 2018, 8:09 AM

Smoke tested in the Sentex cluster on cxl (Chelsio) hardware.

Please commit with:

Approved by: gnn@

This revision is now accepted and ready to land.Oct 23 2018, 8:09 AM
This revision was automatically updated to reflect the committed changes.